コンテンツへスキップ

Bria Product Shot

統合

モデルID bria/product-shot
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/product-shot?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット このページで実行

APIキーを取得
Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

ライフスタイルシーンに配置する商品写真のURL。画像はjpeg、jpg、png、webpのいずれかで、12 MB以下である必要があります。`image_file`も指定した場合は`image_url`が優先されます。

デフォルト 1

配置ごとのライフスタイル商品画像数(`num_results`)。合計数は、`placement_type=manual_placement`では必要な配置数 × `num_results`、`placement_type=automatic`では`num_results` × 10です。

詳細設定 ref_image_url · placement_type · scene_description · manual_placement_selection · optimize_description · fast · original_quality · shot_size · padding_values
デフォルト
ファイルをドロップ、または

商品ショットの新しい背景またはシーンを生成する参照画像URL。jpeg、jpg、png、webpに対応します。`scene_description`または`ref_image_url`のいずれか一方だけを指定してください。空のURLは""として記述します。`ref_image_file`も指定した場合は`ref_image_url`が優先されます。

placement_type デフォルト manual_placement

商品の配置モード。手動オプションは2つあります。'manual_placement'は'manual_placement_selection'で選択した定義済み位置を使用し、'manual_padding'は商品の周囲のピクセル余白で画像の位置とサイズを調整します。元の位置を保持するには'original'、推奨される10個の商品位置すべてで結果を生成するには'automatic'を選択します。

指定した商品写真に作成するシーンまたは背景を説明する、特殊文字を含まない英語のみのプロンプト。

デフォルト bottom_center

placement_type=manual_placement選択時に使用する定義済み位置。リストから選択し、複数の位置を同時に要求できます。

デフォルト [1000,1000]

最終商品画像の目標寸法。placement_type=automaticまたはplacement_type=manual_placementでのみ使用できます。最良の結果を得るには、全体で約1,000,000ピクセルを目安にしてください。

`placement_type=manual_padding`のピクセル余白。[left, right, top, bottom]の順で指定します。値を決めるには、まず商品切り抜きAPIで商品切り抜きを取得して寸法を確認し、その切り抜きと希望の余白をこのAPIに渡します。最適な結果を得るには、余白適用後の合計を約1,000,000ピクセルにしてください。

POST /run/bria/product-shot?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/product-shot?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bria Product Shotについて

`image_url` の商品を `scene_description` で説明したシーン、または `ref_image_url` に示されたシーンへ配置します。両方は指定できません。`placement_type` は original、automatic、manual_placement、manual_padding のいずれかで、`manual_placement_selection` は 10 種類の位置に対応します。`shot_size` は約 1,000,000 ピクセルです。`num_results` は 1〜4 で、`fast` モードも使用できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
ライフスタイルシーンに配置する商品写真のURL。画像はjpeg、jpg、png、webpのいずれかで、12 MB以下である必要があります。`image_file`も指定した場合は`image_url`が優先されます。
scene_description任意
型string | null
指定した商品写真に作成するシーンまたは背景を説明する、特殊文字を含まない英語のみのプロンプト。
ref_image_url任意
型url · image
デフォルト
商品ショットの新しい背景またはシーンを生成する参照画像URL。jpeg、jpg、png、webpに対応します。`scene_description`または`ref_image_url`のいずれか一方だけを指定してください。空のURLは""として記述します。`ref_image_file`も指定した場合は`ref_image_url`が優先されます。
optimize_description任意
型boolean
デフォルトtrue
シーン説明の最適化を有効にするかどうか。
num_results任意
型integer
デフォルト1
1 – 4
配置ごとのライフスタイル商品画像数(`num_results`)。合計数は、`placement_type=manual_placement`では必要な配置数 × `num_results`、`placement_type=automatic`では`num_results` × 10です。
fast任意
型boolean
デフォルトtrue
高速モデルを選択するかどうかを制御します。
placement_type任意
型enum
デフォルトmanual_placement
originalautomaticmanual_placementmanual_padding
商品の配置モード。手動オプションは2つあります。'manual_placement'は'manual_placement_selection'で選択した定義済み位置を使用し、'manual_padding'は商品の周囲のピクセル余白で画像の位置とサイズを調整します。元の位置を保持するには'original'、推奨される10個の商品位置すべてで結果を生成するには'automatic'を選択します。
original_quality任意
型boolean
デフォルトfalse
`placement_type=original`でのみ使用する出力サイズ設定。falseではアスペクト比を変えずに画像を1メガピクセル(1MP)へ拡大縮小し、trueでは入力寸法を維持します。
shot_size任意
型integer[]
デフォルト[1000,1000]
最終商品画像の目標寸法。placement_type=automaticまたはplacement_type=manual_placementでのみ使用できます。最良の結果を得るには、全体で約1,000,000ピクセルを目安にしてください。
manual_placement_selection任意
型enum
デフォルトbottom_center
upper_leftupper_rightbottom_leftbottom_rightright_centerleft_centerupper_centerbottom_centercenter_verticalcenter_horizontal
placement_type=manual_placement選択時に使用する定義済み位置。リストから選択し、複数の位置を同時に要求できます。
padding_values任意
型integer[]
`placement_type=manual_padding`のピクセル余白。[left, right, top, bottom]の順で指定します。値を決めるには、まず商品切り抜きAPIで商品切り抜きを取得して寸法を確認し、その切り抜きと希望の余白をこのAPIに渡します。最適な結果を得るには、余白適用後の合計を約1,000,000ピクセルにしてください。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/product-shot",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/product-shot.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt